#
# spec file for package adm8211 (Version 20070720)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           adm8211
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Module for ADM8211 Cards
Version:        20070720
Release:        2.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://aluminum.sourmilk.net/adm8211/
AutoReqProv:    on
Source:         adm8211-%{version}.tar.bz2
Source100:      preamble
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n adm8211 -p %_sourcedir/preamble kdump um

%description
This package contains a driver for wireless LAN adapters based on
ADMtek ADM8211 chips.



Authors:
--------
    Michael Wu <flamingice@sourmilk.net>

%package -n adm8211-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Kernel Module for ADM8211 Cards

%description -n adm8211-KMP
This package contains a driver for wireless LAN adapters based on
ADMtek ADM8211 chips.



Authors:
--------
    Michael Wu <flamingice@sourmilk.net>

%prep
%setup -n adm8211

%build
export CONFIG_ADM8211=m
cd ..
mkdir obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r adm8211 obj/$flavor
  make -k -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
          M=$PWD/obj/$flavor
done

%install
cd ..
export CONFIG_ADM8211=m
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 06 2007 - jg@suse.de
- obsoete wlan-kmp
* Fri Jul 20 2007 - jg@suse.de
- switch to codebase from wireless-dev git tree
* Tue Jun 05 2007 - ro@suse.de
- fix build with current kernel
* Fri Apr 20 2007 - ro@suse.de
- no debuginfo (no main package)
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 22 2007 - jg@suse.de
- created own package for adm8211 (formerly part of wlan-kmp)
